﻿.works-box{
    width: 100%;
    position: relative;
    display: block;
    min-height: 100vh;
}
.works-page-banner-box{
    width: 100%;
    display: block;
    position: relative;
    z-index: 6;
}
.works-page-banner{
    width: 100%;
    display: block;
    position: relative;
    height: 100vh;
}
.works-page-banner-mask{
    position: absolute;
    top: 0;
    left: 0;
}
.works-page-banner-info-box{
    position: absolute;
    bottom: 2.5vh;
    right: 2.5vw;
}
.works-page-banner-info-title{
    font-size: 20px;
    color: #fff;
    font-family: 'Noto Sans TC' ;
    letter-spacing: 0.08em;
    line-height: 30px;
}
.works-page-banner-info-title span{
    font-weight: 700;
}
.works-page-banner-info-title span:nth-child(2){
    margin-left: 10px;
}
.works-page-banner-info-text{
    font-size: 16px;
    color: #ccc;
    font-family: 'Noto Sans TC' ;
    letter-spacing: 0.08em;
    line-height: 30px;
}

.works-page-all-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 80px 0;
    font-size: 0;
    position: relative;
}
#works-page-scroll{
    position: absolute;
    top: -97px;
}
.works-page-img-list{
    height: 600px;
    overflow: hidden;
    margin: 0 25px;
    position: relative;
}

.works-page-img_menu-box{
    width: 100%;
    display: block;
    position: relative;
}
.works-page-img_menu-prev,
.works-page-img_menu-next{
    color: #000;
    width: inherit;
    height: inherit;
    font-size: 16px;
    line-height: 20px;
    transform: none;
    position: absolute;
    top: inherit;
    bottom: -80px;
    font-family: 'roboto';
    font-weight: 500;
    letter-spacing: 0.1em;
    z-index: 2;
    transition: all .3s linear;
}
.works-page-img_menu-prev{
    left: 2.5vw;
    text-align: right;
}
.works-page-img_menu-next{
    right: 2.5vw;
    text-align: left;
}
.works-page-img_menu-prev::before,
.works-page-img_menu-next::before{
    display: none;
}
.works-page-img_menu-prev span,
.works-page-img_menu-next span{
    display: block;
    width: 100px;
    height: 1px;
    background-color: #000;
    position: relative;
}
.works-page-img_menu-prev span::after,
.works-page-img_menu-next span::after{
    content: '';
    border-bottom: 5px solid #000;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    position: absolute;
    bottom: 0;
}
.works-page-img_menu-prev span::after{
    left: -1px;
}
.works-page-img_menu-next span::after{
    right: -1px;
}

.works-page-img.slick-dotted{
    margin-bottom: 80px;
}
.works-page-img .slick-dots{
    bottom: -80px;
    transform: scale(0.9);
}
.works-page-img .slick-dots li{
    margin: 0;
}
.works-page-img .slick-dots li.slick-active button:before{
    opacity: 1;
}
.works-page-img-list>img{
    height: 100%;
}
.works-page-img-mask{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
          align-items: center;
    -webkit-align-items: center;
          justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: all .3s linear;
}
.works-page-img-mask span{
    display: inline-block;
    font-size: 18px;
    color: #fff;
    font-family: 'Noto Sans TC' ;
    letter-spacing: 0.06em;
    transform: skew(-10deg);
}
.works-page-img-list:hover .works-page-img-mask{
    opacity: 1;
}
.works-page-img_menu-prev.slick-prev:hover, 
.works-page-img_menu-prev.slick-prev:focus, 
.works-page-img_menu-next.slick-next:hover, 
.works-page-img_menu-next.slick-next:focus{
    color: #28a2af;
}


.works-page-info-box{
    text-align: center;
    padding-top: 120px;
}
.works-page-info-all-box{
    width: 560px;
    max-width: 100%;
    display: inline-block;
    box-sizing: border-box;
    border: 2px solid #000;
    padding: 63px 88px;
    text-align-last: left;
}
.works-page-info-title{
    font-size: 24px;
    font-family: 'Noto Sans TC' ;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 30px;
    margin-bottom: 20px;
}
.works-page-info-edit{
    font-size: 18px;
    font-family: 'Noto Sans TC' ;
    font-weight: 300;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 40px;
}
.works-page-info-edit p{
    font-weight: 300;
}

.works-page-other-box{
    width: 1840px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.works-page-other-title-box{
    box-sizing: border-box;
    padding: 60px 0;
}
.works-page-other-title-box h4{
    text-align: center;
    font-size: 28px;
    color: #1b1b1b;
    letter-spacing: 0.4em;
    line-height: 30px;
    font-family: 'Noto Sans TC';
    box-sizing: border-box;
    padding-left: 0.4em;
}
.works-page-other-title-box h6{
    text-align: center;
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 30px;
    font-family: 'roboto';
    margin-top: 5px;
}





@media only screen and (max-width: 1840px){
    .works-page-other-box{
        width: 95%;
    }
}
@media only screen and (max-width: 1000px){
    .works-page-banner{
        height: calc((1080 / 1920) * 100vw);
    }
    .works-page-img-list{
        height: 50vw;
        margin: 0 15px;
    }
    .works-page-all-box{
        padding: 40px 0;
    }
    .works-page-info-box{
        padding-top: 60px;
    }
    .works-page-info-all-box{
        width: 500px;
        padding: 43px 68px;
    }
    .works-page-other-title-box{
        padding: 30px 0;
    }
    .works-page-img{
        margin-bottom: 80px;
    }
}
@media only screen and (max-width: 550px){
    .works-page-banner-info-title {
        font-size: 16px;
        line-height: 20px;
    }
    .works-page-banner-info-text{
        font-size: 12px;
        line-height: 20px;
    }
    .works-page-banner-info-box{
        bottom: 1.5vh;
    }
    .works-page-img-list{
        height: 70vw;
        margin: 0 10px;
    }
    .works-page-img_menu-prev, 
    .works-page-img_menu-next{
        bottom: -40px;
        font-size: 14px;
    }
    .works-page-img_menu-prev span, 
    .works-page-img_menu-next span{
        width: 80px;
    }
    .works-page-info-box{
        padding-top: 30px;
    }
    .works-page-info-all-box{
        width: 300px;
        padding: 13px 18px;
    }
    .works-page-info-title{
        font-size: 18px;
        line-height: 22px;
        margin-bottom: 10px;
    }
    .works-page-info-edit{
        font-size: 14px;
        line-height: 2;
    }
    .works-page-other-title-box{
        padding: 20px 0;
        padding-top: 40px;
    }
    .works-page-other-title-box h4{
        font-size: 18px;
        letter-spacing: 0.1em;
        padding-left: 0.1em;
        line-height: 24px;
    }
    .works-page-other-title-box h6{
        font-size: 12px;
        line-height: 20px;
        margin-top: 0;
    }
}


@keyframes arrow_prev {
    0%{

    }
    to {
        transform: translateX(-10px);
    }
}
@keyframes arrow_next {
    0%{

    }
    to {
        transform: translateX(10px);
    }
}

.works-page-img_menu-prev:hover span{
    animation: arrow_prev .6s linear 0s infinite alternate;
}
.works-page-img_menu-next:hover span{
    animation: arrow_next .6s linear 0s infinite alternate;
}



/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .works-page-banner-info-box,
    .works-page-img-box,
    .works-page-info-all-box,
    .works-page-other-title-box h4,
    .works-page-other-title-box h6{
        opacity: 0;
    }
    .works-page-banner-info-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .works-page-img-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .works-page-info-all-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .works-page-other-info-box.anima .index-works-info{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .works-page-other-title-box.anima h4{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .works-page-other-title-box.anima h6{
        animation: fade 1s ease .3s 1 both;
    }
}
